net.sf.statcvs.pages.xml

## Class MarkupXML

- java.lang.Object
- - net.sf.statcvs.pages.xml.MarkupXML

All Implemented Interfaces:
  MarkupSyntax

    public class MarkupXML
    extends java.lang.Object
    implements MarkupSyntax

Version:
  $Id: MarkupXML.java,v 1.3 2008/06/25 20:46:43 benoitx Exp $
Author:
  Nilendra Weerasinghe (nilendraw@gmail.com)

### Method Summary

Methods
`java.lang.String` `endSection1()`
`java.lang.String` `endSection2()`
`java.lang.String` `getEndOfPage()`
`java.lang.String` `getExtension()` Extension for report pages, e.g.
`java.lang.String` `getHeader(java.lang.String pageName, java.lang.String stylesheetURL, java.lang.String charSet)`
`static MarkupSyntax` `getInstance()`
`java.lang.String` `getTableFormat()`
`java.lang.String` `startSection1(java.lang.String title)`
`java.lang.String` `startSection2(java.lang.String title)`
`java.lang.String` `startSection2(java.lang.String title, java.lang.String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static MarkupSyntax getInstance()

#### endSection1

    public java.lang.String endSection1()

Specified by:
  `endSection1` in interface `MarkupSyntax`

#### endSection2

    public java.lang.String endSection2()

Specified by:
  `endSection2` in interface `MarkupSyntax`

#### getEndOfPage

    public java.lang.String getEndOfPage()

Specified by:
  `getEndOfPage` in interface `MarkupSyntax`

#### getExtension

    public java.lang.String getExtension()

Description copied from interface: `MarkupSyntax`
Extension for report pages, e.g. `html`

Specified by:
  `getExtension` in interface `MarkupSyntax`

#### getHeader

    public java.lang.String getHeader(java.lang.String pageName,
                             java.lang.String stylesheetURL,
                             java.lang.String charSet)

Specified by:
  `getHeader` in interface `MarkupSyntax`

#### getTableFormat

    public java.lang.String getTableFormat()

Specified by:
  `getTableFormat` in interface `MarkupSyntax`

#### startSection1

    public java.lang.String startSection1(java.lang.String title)

Specified by:
  `startSection1` in interface `MarkupSyntax`

#### startSection2

    public java.lang.String startSection2(java.lang.String title)

Specified by:
  `startSection2` in interface `MarkupSyntax`

#### startSection2

    public java.lang.String startSection2(java.lang.String title,
                                 java.lang.String id)

Specified by:
  `startSection2` in interface `MarkupSyntax`